List your automation rules
GET
/api/v1/automations
const url = 'https://trongas.ai/api/v1/automations';const options = {method: 'GET', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/automations \ --header 'X-Api-Key: <X-Api-Key>'All your rules, newest first — active, paused and cancelled. A paused rule carries the reason it was paused (System when we ran out of balance, User when you paused it yourself).
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Array<object>
object
id
required
string format: uuid
type
required
string
resource
required
string
targetAddress
required
string
minimal
required
null | integer | string format: int64
volume
required
null | integer | string format: int64
duration
required
null | string
spentTrx
required
string
status
required
string
pauseReason
required
null | string
autoResume
required
boolean
feeSaverOrderId
required
null | integer | string format: int64
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Array<object>
object
id
required
string format: uuid
type
required
string
resource
required
string
targetAddress
required
string
minimal
required
null | integer | string format: int64
volume
required
null | integer | string format: int64
duration
required
null | string
spentTrx
required
string
status
required
string
pauseReason
required
null | string
autoResume
required
boolean
feeSaverOrderId
required
null | integer | string format: int64
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example", "resource": "example", "targetAddress": "example", "minimal": 1, "volume": 1, "duration": "example", "spentTrx": "example", "status": "example", "pauseReason": "example", "autoResume": true, "feeSaverOrderId": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }]Array<object>
object
id
required
string format: uuid
type
required
string
resource
required
string
targetAddress
required
string
minimal
required
null | integer | string format: int64
volume
required
null | integer | string format: int64
duration
required
null | string
spentTrx
required
string
status
required
string
pauseReason
required
null | string
autoResume
required
boolean
feeSaverOrderId
required
null | integer | string format: int64
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example", "resource": "example", "targetAddress": "example", "minimal": 1, "volume": 1, "duration": "example", "spentTrx": "example", "status": "example", "pauseReason": "example", "autoResume": true, "feeSaverOrderId": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }]